package cz.moneta.test.dsl.mwf.residencyaddress;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.HashMap;
import java.util.Map;

public class MWFGA5Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();

    private MWFGA5Data() {}

    public static MWFGA5Data builder() {
        return new MWFGA5Data();
    }

    public MWFGA5Data rsRcdrzitelekarty(String rsRcdrzitelekarty) {
        params.put("RS_RCDRZITELEKARTY", rsRcdrzitelekarty);
        return this;
    }

    public MWFGA5Data rsAdresaucel(String rsAdresaucel) {
        params.put("RS_ADRESAUCEL", rsAdresaucel);
        return this;
    }

    public MWFGA5Data rsCisloorientacni(String rsCisloorientacni) {
        params.put("RS_CISLOORIENTACNI", rsCisloorientacni);
        return this;
    }

    public MWFGA5Data rsCislopopisne(String rsCislopopisne) {
        params.put("RS_CISLOPOPISNE", rsCislopopisne);
        return this;
    }

    public MWFGA5Data rsCisloproduktu(String rsCisloproduktu) {
        params.put("RS_CISLOPRODUKTU", rsCisloproduktu);
        return this;
    }

    public MWFGA5Data rsMesto(String rsMesto) {
        params.put("RS_MESTO", rsMesto);
        return this;
    }

    public MWFGA5Data rsPsc(String rsPsc) {
        params.put("RS_PSC", rsPsc);
        return this;
    }

    public MWFGA5Data rsProdukttype(String rsProdukttype) {
        params.put("RS_PRODUKTTYPE", rsProdukttype);
        return this;
    }

    public MWFGA5Data rsSystemid(String rsSystemid) {
        params.put("RS_SYSTEMID", rsSystemid);
        return this;
    }

    public MWFGA5Data rsUlice(String rsUlice) {
        params.put("RS_ULICE", rsUlice);
        return this;
    }

    public MWFGA5Data rsZeme(String rsZeme) {
        params.put("RS_ZEME", rsZeme);
        return this;
    }

    public MWFGA5Data rsProdukttyperetezec(String rsProdukttyperetezec) {
        params.put("RS_PRODUKTTYPERETEZEC", rsProdukttyperetezec);
        return this;
    }

    public MWFGA5Data rsPosta(String rsPosta) {
        params.put("RS_POSTA", rsPosta);
        return this;
    }

    public MWFGA5Data rsCtvrt(String rsCtvrt) {
        params.put("RS_CTVRT", rsCtvrt);
        return this;
    }

    public MWFGA5Data rsOkres(String rsOkres) {
        params.put("RS_OKRES", rsOkres);
        return this;
    }

    public MWFGA5Data rsAdresat(String rsAdresat) {
        params.put("RS_ADRESAT", rsAdresat);
        return this;
    }

    public MWFGA5Data rsCisloproduktumaster(String rsCisloproduktumaster) {
        params.put("RS_CISLOPRODUKTUMASTER", rsCisloproduktumaster);
        return this;
    }

    public MWFGA5Data rsCisloproduktumask(String rsCisloproduktumask) {
        params.put("RS_CISLOPRODUKTUMASK", rsCisloproduktumask);
        return this;
    }

    public MWFGA5Data rsIdentifikator(Long rsIdentifikator) {
        params.put("RS_IDENTIFIKATOR", rsIdentifikator);
        return this;
    }

    public MWFGA5Data rsLzezmenit(String rsLzezmenit) {
        params.put("RS_LZEZMENIT", rsLzezmenit);
        return this;
    }

    public MWFGA5Data rsNovaadresa(String rsNovaadresa) {
        params.put("RS_NOVAADRESA", rsNovaadresa);
        return this;
    }

    public Map<String, Object> getParams() {
        return params;
    }

}